package shapes;

public class Sphere extends ThreeDimmensionalShape 
{
	private double polomer;

	public Sphere(double polomer)
	{
		this.polomer = polomer;
	}

	@Override
	public double getArea()
	{
		return 4*Math.PI*polomer*polomer;
	}

	@Override
	public double getVolume()
	{
		return 3.0/4.0*Math.PI *polomer*polomer*polomer;
	}

	@Override
	protected String charakteristika()
	{
		return String.format("r=%g",polomer);
	}
}
